Subject: Re: [PATCH 1/7] gnu: vips: Build with OpenEXR 3.

From: Vinicius Monego <[email-masked]>
Date: Sun, 4 May 2025 23:51:42 +0000

Em 01/05/2025 04:11, Andreas Enge escreveu:
> Hello Vinicius,

Hello Andreas,

> would you like to take up this patch set again?
> There is a slightly newer patch release of vips.
>
> Concerning propagated inputs, I am not sure whether moving is the
> correct approach. I understood that packages required during build
> additionally need to be present as regular inputs. But this should
> be easy to test. In any case, it would be helpful to add a comment
> why inputs are propagated (for instance, a reference to the vips.pc
> file).

I'm not sure whether this is documented, but it seems to be the common 
procedure. e.g. openexr propagates its private inputs (libdeflate and 
imath). I added a comment in vips on why those inputs are being propagated.

> Since you have commit rights, please feel free to push the patches
> yourself once you have made sure that all depending packages build.
>
> Thanks,
>
> Andreas
>
Done and pushed the series except for the last patch (will rethink it), 
thanks.